## mc 4.8.1

=== debian/changelog ===
mc (3:4.8.1-2ubuntu1) precise; urgency=low

  * Sync from debian testing (LP: #905610, LP: #314614, LP: #410031, 
      LP: #562361, LP: #632816, LP: #713630, LP: #770673, LP: #837163)
  * Added Pre-Depends for dpkg-maintscript-helper availability

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Sat, 10 Mar 2012 16:12:51 +0100

mc (3:4.8.1-2) unstable; urgency=low

  * Build-Depends are updated: 'bison' moved to build-deps;
    architecture wildcard replaced silly "type-handling | not+linux-gnu"
    (Closes: #587875 N:"Please remove type-handling dependency")
  * new patch to increase maximum file size for mcedit to 128 MiB
    (Closes: #369565 W:"mcedit: wishing a bigger file size limit")
    Thanks to Daniele Giacomini.
  * new patch to disable "Return does autoindent" by default in mcedit
    (Closes: #570502 N:"mcedit: adding extra spaces when pasting a text
     preceded by spaces")
    (Closes: #575711 N:"pasting extra tabs, AGAIN")
  * added mc.NEWS file with notes about important changes in this release
    (Closes: #661435 W:"lynx-like motion is lost during upgrade to 4.8.1")
  * added symlinks to all scripts in /usr/lib/mc for backward compatibility
  * new patch to correct path to scripts in man page
    (Closes: #661481 N:"Acknowledgement mc: /usr/share/mc/bin/mc.sh missing")
  * 'unzip' added to build-deps to set proper zip mode at build-time;
    'unzip' moved to Recommends from Suggests.
    (Closes: #661467 N:"mc: zip file browsing broken")
  * Recommends 'perl' and 'unzip' instead of Suggests
  * dropped old 20_wrong_path_to_wrappers.patch, which was breaking
    correct path to wrappers (note the precisely chosen file name ;)
  * corrected and properly annotated 09_uzip_broken_528239.patch

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 27 Feb 2012 17:16:53 +1100

mc (3:4.8.1-1) unstable; urgency=low

  * New upstream release [December 2011]
    (Closes: #618542 N:"please follow upstream progress")
    (Closes: #528331 N:"[VFS] utar is unable to open .tar files")
    (Closes: #626287 N:"SHIFT+F6 should open rename dialog")
    (Closes: #609489 I:"If <F4> is pressed ~/.mc/cedit/Syntax is missing")
    (Closes: #606331 I:"regression: panel configuration on startup;
     view search configuration")
    (Closes: #567119 I:"mcedit ignores editnormal in MC_COLOR_TABLE")
    (Closes: #587372 N:"fish does not preserve modification time when
     copying files to remote host")
    (Closes: #592396 N:"file rename (F6) with non-usual characters failed")
    (Closes: #525146 N:"mc hangs when copying multiple files from ftp")
    (Closes: #574761 N:" [VFS] internal tar considers files containig
     '@' as directories.")
    (Closes: #584687 N:"mc/fish segfaults when remote copy/move appends
     to existing file")
    (Closes: #619092 W:"Wishlist: mc to open ISO files")
    (Closes: #602857 M:"use 7zr for generic .7z archives if available")
    (Closes: #61987 W:"total ETA wanted")
  * debian/watch
    • fixed and updated to fetch latest .tar.xz
  * dropped CDBS, now using debhelper only
  * debhelper & compat to version 9
  * dh-autoreconf to update toolchain
  * intltoolize to refresh Makefile.in.in
  * debian/control
    • standards to 3.9.3 (thanks to Andreas Tille)
    • added to build-deps:
      + 'type-handling' as alternative to 'libgpm-dev'
      + 'libpam0g-dev' optional, used by build system
      + 'check' to enable post-build unit tests
      + 'autopoint' (used by autoreconf)
    • 'bison' added to Build-Depends-Indep
       if available, it is used by upstream build system
       to regenerate some files
    • added myself to Uploaders
  * debian/copyright:
    • updated and converted to DEP-5
    • added copyrights of debian contributors
    • audit of upstream licenses/copyrights - all information is included
  * configure options
    + --disable-static
    + --enable-tests
    - --without-samba (obsolete)
  * patchworks:
    • relocated to debian/patches from subdir
    • new patches:
      + new man_spelling.patch (lintianisation)
      + new ext_libreoffice.patch to replace 'ooffice' command
        with 'libreoffice' - thanks to Osamu Aoki
        (Closes: #641926 N:"mc.ext updates (xz, libreoffice)")
      + new ext_cpio-xz.patch to improve .xz support,
        (thanks to Osamu Aoki)
    • updated:
      * 04_add_gem_extension.patch
      * 05_disable_internal_editor.patch
      * 08_use_sensible-editor.patch
      * 99_detect_alt_editor.patch
    • disabled, to drop later:
      * 09_uzip_broken_528239.patch
    • dropped (obsolete)
      - 03_use_awk.patch
      - pending/99_enable_reading_debs.patch (applied upstream)
      - debian/patches/README
  * updated lintian overrides
    + added lintian-overrides for executable-not-elf-or-script
      for files in /usr/lib/mc/fish
  * install correct ChangeLog
  * install scripts to /usr/lib/mc
    (previously was installed to /usr/share/mc)
  * added symlink to missing mcdiff.1 man page
  * added symlink to relocated mc-wrapper.sh for backward compatibility
  * dropped man page for mcmfmt (binary is no longer shipped by upstream)
  * handle configuration files upgrades/removes with
    dpkg-maintscript-helper in preinst/postinst/postrm
  * architecture-independent files are separated to 'mc-data' package
    + added upgrade path with Breaks/Replaces
    + added symbolic links to link files from /usr/share/doc/mc-data/
      to /usr/share/doc/mc/
  * removed 'exit 0' from preinst/postinst/prerm/postrm files
  * VCS links updated to point at new collab-maint repository

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 24 Feb 2012 13:04:57 +1100

mc (3:4.7.0.9-2) unstable; urgency=low

  * debian/desktopfiles: Added desktop file and icon from
    https://midnight-commander.org/ticket/2314
    Closes: #616196
  * debian/patches/pending/99_enable_reading_debs.patch: Enable reading
    *.deb files again
    Closes: #626171, #628762

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2011 13:31:08 +0200
