=== debian/control ===
Source: mc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, Yury V. Zaytsev <yury@shurup.com>,
 Andreas Tille <tille@debian.org>, Dmitry Smirnov <onlyjob@member.fsf.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool, bison,
 gettext, libglib2.0-dev, libslang2-dev, libx11-dev, e2fslibs-dev, check,
 libgpm-dev [linux-any],
# mc determine zip mode from zip alternatives available at build-time(!)
# hence 'unzip' needed to set proper zip mode, see #661467
 unzip,
Standards-Version: 3.9.3
Homepage: http://www.midnight-commander.org
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mc.git
VCS-Git: git://anonscm.debian.org/collab-maint/mc.git

Package: mc
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
Recommends: mime-support, unzip, perl,
Suggests: zip, bzip2, links | w3m | lynx, arj, file,
 xpdf-reader | pdf-viewer, dbview, odt2txt, gv, catdvi, djvulibre-bin,
 imagemagick, python, python-boto, python-tz
Description: Midnight Commander - a powerful file manager
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.


Package: mc-data
Architecture: all
Breaks: mc (<< 3:4.8.1)
Replaces: mc (<< 3:4.8.1)
Depends: ${misc:Depends}
Description: Midnight Commander - a powerful file manager -- data files
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.
 .
 This package provides architecture independent files


Package: mc-dbg
Architecture: any
Depends: mc (=${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Suggests: gdb
Description: Midnight Commander - a powerful file manager - debug package
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.
 .
 This package contains debugging information for mc.
