## mc 4.8.3

=== debian/changelog ===
mc (3:4.8.3-10) unstable; urgency=low

  * New backported patch to fix diff.gz inspection from symlink
    (Closes: #689258).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 02 Oct 2012 19:09:51 +1000

mc (3:4.8.3-9) unstable; urgency=low

  * new backported patch to fix ESC+TAB completion on paths
    starting with "~" (Closes: #688075).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 24 Sep 2012 01:36:11 +1000

mc (3:4.8.3-8) unstable; urgency=low

  * New backported patches:
    + to fix "cannot Copy/Move files with filename encoding change".
    + to fix "can't create or enter directory ~".

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 10 Sep 2012 12:32:50 +1000

mc (3:4.8.3-7) unstable; urgency=low

  * New backported patches:
    + to fix bug in shell link history.
    + to fix incomplete sand256 skin.
  * Minor update to 2862.patch as per upstream merge.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 30 Aug 2012 18:53:22 +1000

mc (3:4.8.3-6) unstable; urgency=low

  * xz compression for binary packages.
  * new backported patches:
    + to fix "refresh problem in directory tree view" (Closes: #675692).
    + to fix "mcedit can't save file in safe mode" (Closes: #673252).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 25 Aug 2012 12:19:25 +1000

mc (3:4.8.3-5) unstable; urgency=low

  * 2800.patch is corrected to avoid crash on entering archives.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 05 Aug 2012 21:52:36 +1000

mc (3:4.8.3-4) unstable; urgency=low

  * new backported patches:
    + to fix "Garbage directory listing in ftpfs"
      (Closes: #681515, #675921).
    + to fix "hex search: can't find 00 (zeroes) in patterns".
  * mc.desktop is validated with 'desktop-file-validate' and corrected.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 05 Aug 2012 09:51:58 +1000

mc (3:4.8.3-3) unstable; urgency=high

  * added new backported patch to fix issue which may cause loss of data
    on copy to full partition (Closes: #677038).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 27 Jun 2012 04:51:30 +1000

mc (3:4.8.3-2) unstable; urgency=low

  * do not FTBFS on failed post-build tests.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 06 May 2012 14:49:48 +1000

mc (3:4.8.3-1) unstable; urgency=low

  * New upstream release [April 2012]
    + fixed crash on compare files with panel in quickview mode
      (Closes: #666692)
  * dropped cannot-copy-zero-length-files-with-Preallocate_space-option.patch
    (applied-upstream)
  * new backported patches:
    + to fix FTBFS with --enable-tests
    + to fix warning on entering archives
    + to fix crash on relative symlink creation
    + to fix crash on 'chown'
  * old patches are refreshed, sorted and renamed
  * minor debian/copyright clean-up
  * changing debian source compression to .xz

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 05 May 2012 08:14:20 +1000

mc (3:4.8.1-4) unstable; urgency=low

  * patch (Closes: #664840 I:"cannot copy zero-length files with
    [Preallocate space] option")
  * d-rules: invoke autogen.sh if present in source tree to
    simplify building from trunk

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 29 Mar 2012 22:51:16 +1100

mc (3:4.8.1-3) unstable; urgency=low

  * new beautiful 256 color skins "modarin-1.2" by Oliver Lange
  * d-README.Debian: Document a potential issue about invisible
    double lines in those skins and how to work around these.
  * d-control: no longer suggest transitional 'xpdf-reader'
  * d-rules: build with all hardening

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 16 Mar 2012 09:49:52 +0100
