=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
+Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Yury V. Zaytsev <yury@shurup.com>,
  Andreas Tille <tille@debian.org>, Dmitry Smirnov <onlyjob@member.fsf.org>
 DM-Upload-Allowed: yes
@@ -19,11 +18,10 @@
 
 Package: mc
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
 Recommends: mime-support, unzip, perl,
 Suggests: zip, bzip2, links | w3m | lynx, arj, file,
- xpdf-reader | pdf-viewer, dbview, odt2txt, gv, catdvi, djvulibre-bin,
+ xpdf | pdf-viewer, dbview, odt2txt, gv, catdvi, djvulibre-bin,
  imagemagick, python, python-boto, python-tz
 Description: Midnight Commander - a powerful file manager
  GNU Midnight Commander is a text-mode full-screen file manager. It
