=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@ --parallel --with autoreconf
 
 override_dh_autoreconf:
+	[ ! -x "./autogen.sh" ] || ./autogen.sh
 	intltoolize --automake --copy --force
 	dh_autoreconf
 
@@ -25,6 +28,11 @@
 		--disable-static \
 		--enable-vfs-undelfs \
 		--enable-tests
+#		--enable-vfs-smb=yes
+
+override_dh_auto_test:
+	# do not stop on failed test(s)
+	-dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1
@@ -42,5 +50,8 @@
 override_dh_strip:
 	dh_strip --dbg-package=mc-dbg
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 get-orig-source:
 	uscan --noconf --destdir=. --download-current-version --rename --verbose
