## mc 4.8.5

=== debian/changelog ===
mc (3:4.8.5-1) unstable; urgency=low

  * Upload to unstable.
  * Standards to 3.9.4.
  * Suggests:
    + genisoimage (provides "/usr/bin/isoinfo") (Closes: #701190).
    + poppler-utils (provides "/usr/bin/pdftotext").
  * Removed obsolete "DM-Upload-Allowed: yes".
  * Updated my email address and copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 May 2013 11:02:26 +1000

mc (3:4.8.5-1~exp5) experimental; urgency=low

  * New backported patch to fix diff.gz inspection from symlink
    (Closes: #689258).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 04 Oct 2012 11:35:25 +1000

mc (3:4.8.5-1~exp4) experimental; urgency=low

  * New backported patch to fix ESC+TAB completion on paths
    starting with "~" (Closes: #688075).
  * Removing obsolete conffile "/etc/mc/edit.spell.rc" (Closes: #687459).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 25 Sep 2012 09:55:29 +1000

mc (3:4.8.5-1~exp3) experimental; urgency=low

  * New ext_use_default_editor.patch to override "vi" hardcoded in mc.ext
    with "editor" to invoke system's default editor instead of vi.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 22 Sep 2012 13:20:25 +1000

mc (3:4.8.5-1~exp2) experimental; urgency=low

  * debian/clean to remove generated files in order to allow second
    build in the same source tree.
  * replace '$${prefix}' passed to --libexecdir with '/usr' to fix ext.d
    handlers. Otherwise '${prefix}' get embedded to scripts which makes
    them fail if ${prefix} variable is not set.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 14 Sep 2012 15:27:42 +1000

mc (3:4.8.5-1~exp1) experimental; urgency=low

  * New upstream release [September 2012]
    (Closes: #681773) "segfaults when /tmp/mc-root is not owned by root".
  * build using:
    + --enable-aspell to enable spell check in internal editor.
    + --enable-vfs-sftp for SFTP support.
    + --as-needed to minimise needless linking.
  * New build dependencies:
    + libaspell-dev
    + libssh2-1-dev
  * Build-Depends are sorted and alphabetised.
  * Suggest 'texlive-binaries' (providing 'dvi2tty') as alternative
    to 'catdvi'.
  * new patches:
    + 2873 to fix "'Enter' action on a rpm file with space in file name".
    + 2881 to fix "two-columns extra offset of cursor after tab character".
    + mcedit_group_undo.patch to use "Group undo" by default in mcedit.
  * dropped obsolete (applied-upstream or old backported) patches.
  * remaining patches are updated; backported patches applied first.
  * force x-www-browser instead of upstream list of browsers.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Sep 2012 02:43:55 +1000
