=== debian/control ===
--- 
+++ 
@@ -3,26 +3,46 @@
 Priority: optional
 Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Yury V. Zaytsev <yury@shurup.com>,
- Andreas Tille <tille@debian.org>, Dmitry Smirnov <onlyjob@member.fsf.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool, bison,
- gettext, libglib2.0-dev, libslang2-dev, libx11-dev, e2fslibs-dev, check,
- libgpm-dev [linux-any],
+ Andreas Tille <tille@debian.org>, Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool, bison
+ ,check
+ ,e2fslibs-dev
+ ,gettext
+ ,libaspell-dev
+ ,libglib2.0-dev
+ ,libgpm-dev [linux-any]
+ ,libslang2-dev
+ ,libssh2-1-dev
+ ,libx11-dev
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
- unzip,
-Standards-Version: 3.9.3
+ ,unzip
+Standards-Version: 3.9.4
 Homepage: http://www.midnight-commander.org
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mc.git
-VCS-Git: git://anonscm.debian.org/collab-maint/mc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mc.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/mc.git
 
 Package: mc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
-Recommends: mime-support, unzip, perl,
-Suggests: zip, bzip2, links | w3m | lynx, arj, file,
- xpdf | pdf-viewer, dbview, odt2txt, gv, catdvi, djvulibre-bin,
- imagemagick, python, python-boto, python-tz
+Recommends: mime-support, perl, unzip
+Suggests: arj
+         ,bzip2
+         ,catdvi | texlive-binaries
+         ,dbview
+         ,djvulibre-bin
+         ,file
+         ,genisoimage
+         ,gv
+         ,imagemagick
+         ,links | w3m | lynx
+         ,odt2txt
+         ,poppler-utils
+         ,python
+         ,python-boto
+         ,python-tz
+         ,xpdf | pdf-viewer
+         ,zip
 Description: Midnight Commander - a powerful file manager
  GNU Midnight Commander is a text-mode full-screen file manager. It
  uses a two panel interface and a subshell for command execution. It
@@ -30,7 +50,6 @@
  viewer with support for binary files. Also included is Virtual
  Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
  servers) and files inside archives to be manipulated like real files.
-
 
 Package: mc-data
 Architecture: all
@@ -47,7 +66,6 @@
  .
  This package provides architecture independent files
 
-
 Package: mc-dbg
 Architecture: any
 Depends: mc (=${binary:Version}), ${misc:Depends}
