=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,18 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+# minimise needless linking
+export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
+
 %:
 	dh $@ --parallel --with autoreconf
 
+# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
+DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
 	[ ! -x "./autogen.sh" ] || ./autogen.sh
 	intltoolize --automake --copy --force
-	dh_autoreconf
+	dh_autoreconf $(DH_AS_NEEDED)
 
 # --enable-werror will cause FTBFS on GNU Hurd:
 # src/vfs/fish/fish.c: In function 'fish_fh_open': 
@@ -20,18 +25,20 @@
 # AWK="awk" is inheritance of 4.7.* series, see http://bugs.debian.org/499723
 # might be still necessary for extfs scripts
 override_dh_auto_configure:
-	dh_auto_configure -- AWK="awk" \
-		--libexecdir='$${prefix}/lib' \
+	dh_auto_configure -- AWK="awk" X11_WWW="x-www-browser" \
+		--libexecdir='/usr/lib' \
 		--with-x \
 		--with-screen=slang \
 		--disable-rpath \
 		--disable-static \
+		--enable-aspell \
+		--enable-vfs-sftp \
 		--enable-vfs-undelfs \
 		--enable-tests
 #		--enable-vfs-smb=yes
 
 override_dh_auto_test:
-	# do not stop on failed test(s)
+	## allow test(s) failure
 	-dh_auto_test
 
 override_dh_auto_install:
