## mc 4.8.10

=== debian/changelog ===
mc (1:4.8.10-0maemo5) fremantle; urgency=low

  * Update apply "Compute totals" option to Move operation patch
    (upstream tickets #2075, #3059).
  * Fix mc arguments handling (upstream ticket #3047).
  * Fix saving changes to nested archives (upstream ticket #3070).
  * Switch from using d/dirs to d/mc.install.
  * Include mc.png in source instead of icon.b64 and
    drop build-dep on coreutils-gnu.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 17 Sep 2013 20:32:35 +0200

mc (1:4.8.10-0maemo4) fremantle; urgency=low

  * Apply "Compute totals" option to Move operation
    (upstream ticket #2075).

 -- Graham Inggs <graham@nerve.org.za>  Sat, 07 Sep 2013 21:30:32 +0200

mc (1:4.8.10-0maemo3) fremantle; urgency=low

  * Revert to debhelper 5 (debhelper 7 was not needed).
  * Add bugtracker link.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 04 Sep 2013 08:23:36 +0200

mc (1:4.8.10-0maemo2) fremantle; urgency=low

  * Fix scratchbox paths for Virtual File System programs.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 29 Aug 2013 00:42:14 +0200

mc (1:4.8.10-0maemo1) fremantle; urgency=low

  * Update to debhelper 7, source format 3.0 (quilt).
  * Revert to slang instead of ncurses (upstream ticket #2244).
  * New upstream version 4.8.10.
  * Update d/conffiles.

 -- Graham Inggs <graham@nerve.org.za>  Sat, 24 Aug 2013 22:07:18 +0200
