## mc 4.8.11

=== debian/changelog ===
mc (3:4.8.11-1) unstable; urgency=low

  * New upstream release [November 2013].
    + fixed behaviour with "num_history_items_recorded=0" (Closes: #723868).
    + no longer use deprecated "find -perm +xxx" (Closes: #724766).
  * Removed all backported and forwarded patches.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Dec 2013 05:41:14 +1100

mc (3:4.8.10-4) unstable; urgency=low

  * New backported "3059.patch" to fix "Compute totals" progress bar and
    segfault on copy/move operations (Closes: #722891);
    Thanks, Graham Inggs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 17 Sep 2013 17:28:54 +1000

mc (3:4.8.10-3) unstable; urgency=low

  * New backported patches:
    + "3047.patch" to fix handling directories in command line
      (Closes: #714369).
    + "3053.patch" to fix FTBFS on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 15:15:07 +1000

mc (3:4.8.10-2) unstable; urgency=low

  * Upload to unstable.
  * New backported "3070.patch" to fix saving changes in nested archives
    (Closes: #721961).
  * Consolidated some viewer override patches into "ext_run-mailcap.patch";
    extended the latter to use `see` instead of `realplay` to open .ram
    files.
  * mc: "Provides: mcedit" (Closes: #720938).
  * Enabled verbose build using "--disable-silent-rules".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 Sep 2013 13:18:36 +1000

mc (3:4.8.10-1) experimental; urgency=low

  * New upstream release [August 2013].
  * No longer ship "debian/skins/modarin-1.2" since upstream integrated
    original "modarin" skins to orig.tar.
  * Patchworks:
    - dropped "mcedit_max-size.patch" as upstream removed limitation
      for file size.
    - all backported patches are dropped.
    + some remaining patches were refreshed.
    + added new patch to fix "macro `\' not defined" in man pages.
  * mc-data: "Multi-Arch: foreign" (Closes: #712243).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Aug 2013 21:17:55 +1000

mc (3:4.8.8-1) experimental; urgency=low

  * New upstream release [April 2013]
    + Fixed "Improper sanitization of MC_EXT_SELECTED variable"
      CVE-2012-4463 (Closes: #689571).
    + Fixed "Panelize loses files after find" (Closes: #694943).
  * Patchworks:
    * Dropped all backported patches.
    * Removed patches (no longer needed due to upstream changes):
      - man_mc
      - ext_libreoffice
      - ext_use_default_pdf_viewer
      - ext_use_dvicat_instead_of_dvi2tty
    * New patches:
      + [ext_open_dvi] to use mailcap entry to choose dvi viewer instead
        of hardcoded `xdvi`.
      + [2991] to fix MC#2991 "find dialog status area not properly
        cleared upon update".
      + [3000] to fix MC#3000 "incorrect file size in overwrite dialog".
      + [3001] to fix MC#3001 "garbage in subshell prompt".
  * Renaming keymap conffiles in [postinst,postrm,preinst] according to
    upstream changes.
  * Added (Oregon State University) mirror to debian/watch.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Jun 2013 01:38:56 +1000
