=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	[ ! -x "./autogen.sh" ] || ./autogen.sh
	intltoolize --automake --copy --force
	dh_autoreconf $(DH_AS_NEEDED)

# --enable-werror will cause FTBFS on GNU Hurd:
# src/vfs/fish/fish.c: In function 'fish_fh_open': 
# fish.c:1517:5: error: 'and' of mutually exclusive equal-tests is always 0 [-Werror]
#
# AWK="awk" is inheritance of 4.7.* series, see http://bugs.debian.org/499723
# might be still necessary for extfs scripts
override_dh_auto_configure:
	dh_auto_configure -- AWK="awk" X11_WWW="x-www-browser" \
		--libexecdir='/usr/lib' \
		--with-x \
		--with-screen=slang \
		--disable-rpath \
		--disable-static \
		--disable-silent-rules \
		--enable-aspell \
		--enable-vfs-sftp \
		--enable-vfs-undelfs \
		--enable-tests
#		--enable-vfs-smb=yes

override_dh_auto_test:
	## allow test(s) failure
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --max-parallel=1

override_dh_fixperms:
	chmod 755 debian/mc/etc/mc/*.rc
	dh_fixperms
	# cons.saver has to be sgid tty to access vcsa
	chgrp tty debian/mc/usr/lib/mc/cons.saver || true
	chmod g+s debian/mc/usr/lib/mc/cons.saver || true

override_dh_installchangelogs:
	dh_installchangelogs doc/NEWS

override_dh_strip:
	dh_strip --dbg-package=mc-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	uscan --noconf --destdir=. --download-current-version --rename --verbose
