=== debian/watch ===
version=3
http://www.midnight-commander.org/downloads/mc-([\d\.]+)\.tar\.xz

http://ftp.osuosl.org/pub/midnightcommander/mc-([\d\.]+)\.tar\.xz
