## mc 4.8.13

=== debian/changelog ===
mc (1:4.8.13-0maemo1) fremantle; urgency=medium

  * New upstream release.
  * Drop patches included upstream.
  * Fix FTBFS with glib <2.22.0 (upstream ticket #3333).
  * Merge changes from mc 3:4.8.13-3 in Debian:
    - d/patches/*
    - d/control: Depends, Recommends, Suggests and Provides
  * Update d/control: enable verbose build output.
  * Use wrappers to add /usr/bin/gnu to PATH in order to use
    diff from diffutils-gnu package - Thanks joerg_rw.

 -- Graham Inggs <graham@nerve.org.za>  Thu, 22 Jan 2015 22:21:02 +0200
