=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS = \
	--prefix=/opt/mc \
	--sysconfdir=/opt/mc/etc \
	--libexecdir=/opt/mc/libexec \
	--disable-silent-rules \
	--disable-dependency-tracking \
	--disable-doxygen-doc \
	--with-x --without-gpm-mouse \
	--with-search-engine=glib \
	--with-subshell \
	--with-screen=slang

install/mc::
	rm -rf debian/mc/opt/mc/share/man
	# Append additional extensions to highlighting rules
	sed -e 's/tbz2;$$/tbz2;deb;pkg/' -e 's/;cdr$$/;cdr;svg/' -e 's/;chm$$/;chm;ini;rc;cfg;conf/' \
		debian/mc/opt/mc/etc/mc/filehighlight.ini >debian/mc/opt/mc/etc/mc/filehighlight.new && \
	mv -f debian/mc/opt/mc/etc/mc/filehighlight.new debian/mc/opt/mc/etc/mc/filehighlight.ini
	# Fix scratchbox paths for Virtual File System programs
	find debian/mc/opt/mc -type f -exec sed -i 's/\/scratchbox\/tools\//\/usr\//g' {} \;
	find debian/mc/opt/mc -type f -exec sed -i 's/\/scratchbox\/devkits\//\/usr\//g' {} \;

get-orig-source:
	uscan --no-conf --download-current-version --repack --compression gz
